Package org.opensaml.xmlsec.algorithm

# Interface DigestAlgorithm

All Superinterfaces:
  `AlgorithmDescriptor`

All Known Implementing Classes:
  `DigestMD5`, `DigestRIPEMD160`, `DigestSHA1`, `DigestSHA224`, `DigestSHA256`, `DigestSHA3_224`, `DigestSHA3_256`, `DigestSHA3_384`, `DigestSHA3_512`, `DigestSHA384`, `DigestSHA512`

public interface DigestAlgorithm extends AlgorithmDescriptor
Interface for digest algorithm descriptors.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`AlgorithmDescriptor.AlgorithmType`

## Method Summary

### Methods inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`getJCAAlgorithmID, getType, getURI`